Subject: bug#51355: bug#51354: [PATCH] Fix a memory leak in pgtk_draw_fringe_bitmap

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 24 Oct 2021 20:09:17 +0200

Sharaf Zaman <[email-masked]> writes:

> I discovered that there's a memory leak in the pgtk code, if the windows are
> created/destroyed/moved/shrunk/widened frequently. I've verified it with
> profiler that this indeed is the location (https://i.imgur.com/LnrgGyj.png) and
> fixed it (https://i.imgur.com/zdgnn5K.png).

Makes sense to me, so I've applied it to the pgtk branch, but perhaps
Yuuki has a comment (added to the CCs).

> PS: This is my first time sending a patch over an email, I'm not 100%
> sure if this is how it's done.

Looked perfect.  :-)

This change was small enough to apply without assigning copyright to the
FSF, but for future patches you want to submit, it might make sense to
get the paperwork started now, so that subsequent patches can be applied
speedily. Would you be willing to sign such paperwork?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no